Bug 751 - Create a wiki-writers group
: Create a wiki-writers group
Status: RESOLVED WONTFIX
Product: Websites
Classification: ROSA Infrastructure
Component: Wiki
: unspecified
: All Linux
: Normal normal
: ---
Assigned To: Stanislav Fomin
:
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-10 19:43 MSD by rugyada
Modified: 2013-02-02 15:47 MSK (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description rugyada 2012-09-10 19:43:33 MSD
Hello,

Could it have any sense to set up, if not a mailing list, at least an email group for wiki-writers to -when needed- coordinate ourselves and exchange opinions and advices on ROSA wiki content pages?

Regards,
Comment 1 rugyada 2012-09-10 19:46:40 MSD
Trying to add Julia to CC list
Comment 2 Postnikov Dmitry 2012-09-10 20:56:31 MSD
I agree, I like the idea of ​​mailing.
Comment 3 JDronova 2012-09-10 21:01:03 MSD
It definitely makes sense. An email group means cc messages to all people who are active at wiki, right? I'm in :)
I think we should add here e-mails of two our devs who are very active at contributing to wiki -- Denis Silakow&Pavel Shved. Pavel, what you say?
Comment 4 JDronova 2012-09-10 21:02:25 MSD
yes, and Postnikov Dmitry is the member of ROSA QA team and active contributor to our Russian wiki, too.
Comment 5 Pavel Shved 2012-09-11 00:06:42 MSD
Let's speak in terms of "create a means of communication" rather than name a specific technology.  I don't like mailing lists.  They are obscure, and hard to manage.  There is a number of alternatives:

1.  This bugzilla.  You can subscribe to list of bugs in Wiki component via an Atom feed.  This isn't the best idea possible, too, but it's still IMO better than a mailing list.  I can tune it so all bugs in this Wiki component get CC'd to whole our group, but I don't like that our threads are called bugs, and that we can't edit older messages here.

2.  The wiki itself.  We can designate a page, and chat in its Page:Talk.  Mediawiki extensions are discussed this way, for instance.  Besides, we'll have a free bonus of Wiki markup and, most importantly, we could link to wiki pages easily.

3.  If the capabilities of usual wiki talks are insufficient, I can install Wikilog, or port Wikilog from corpwiki.rosalinux.ru, or open up a portion of corpwiki to allow us to chat.  This adds some pain in the butts of wiki admin, but retains all benefits of 2.

4.  Use a designated section at forum.rosalab.ru.  I'm sure Julia can create one in no time.  This would also increase our participation in our forums (which I lack hehe.)


What do you think of these options?

My choice at this stage would be 2.
Comment 6 Pavel Shved 2012-09-11 00:07:06 MSD
++ Mr. Silakov
Comment 7 JDronova 2012-09-11 13:46:43 MSD
Pavel,
we do not want to discuss wiki bugs, we want to discuss wiki content. 

1. Chat's no good. Somebody wants to discuss something -- but everybody else is buisy or asleep. We should stay there 24/7 if we want to talk to each other. Also, these wiki matters may not be like brainstorming, like 'now or never', one may want to think it over and answer later -- others should remain in chat forever? I am slow thinker, I would always take my time, for example.
2. Wiki itself is *obscure* to me -- worst choice ever, dumb silly interface, how should I ever know when smbdy has posted smth to share idea or discuss? Using e-mail notifications again. I like the idea of linking to wiki pages, but we can link from every place.
3. Bugzilla as a place to discuss ideas, coordinate ourselves and exchange opinions? Ok, since we have e-mail notifications. Besides, we are already discussing here. I like it.
4. Simple e-mail with cc to all activists -- ok. But devs for sure have tons of e-mails, so I can imagine.
5. Forum -- ok for me. But devs (by their nature) avoid forums, if they can, too many *users* there, yuсk! :-P
Comment 8 Pavel Shved 2012-09-11 16:47:28 MSD
(In reply to comment #7)
> Pavel,
> we do not want to discuss wiki bugs, we want to discuss wiki content.

That's what I was talking about too.

> 1. Chat's no good. Somebody wants to discuss something -- but everybody else
> is buisy or asleep. We should stay there 24/7 if we want to talk to each
> other. Also, these wiki matters may not be like brainstorming, like 'now or
> never', one may want to think it over and answer later -- others should
> remain in chat forever? I am slow thinker, I would always take my time, for
> example.

Ok, ruling out chat.

> 2. Wiki itself is *obscure* to me -- worst choice ever, dumb silly
> interface, how should I ever know when smbdy has posted smth to share idea
> or discuss? Using e-mail notifications again. I like the idea of linking to
> wiki pages, but we can link from every place.

You can get notifications by "Watch"ing the talk page.  This way, you'll get e-mail notifications.

Btw, does watch-ing pages for edits work at our wiki at all?  I don't receive any mails; do you?

Linking Russian pages from everywhere else but the wiki turns into a series of %4D%4E%1A%83....

> 3. Bugzilla as a place to discuss ideas, coordinate ourselves and exchange
> opinions? Ok, since we have e-mail notifications. Besides, we are already
> discussing here. I like it.

We can get email notifications from everywhere, including forums and wiki.

Besides, we're also polluting bugs@lists.rosalab.ru, which I desubscribed to prevent further pollution.

> 4. Simple e-mail with cc to all activists -- ok. But devs for sure have tons
> of e-mails, so I can imagine.

Yeah, that's not very nice.

> 5. Forum -- ok for me. But devs (by their nature) avoid forums, if they can,
> too many *users* there, yuсk! :-P

If I can subscribe to all new threads in a specific sub-forum (designated for Wiki), then I'll be OK with forums.  What I don't like is to F5-F5-F5 low-traffic subsections.
Comment 9 JDronova 2012-09-11 16:53:42 MSD
(In reply to comment #8)
> Btw, does watch-ing pages for edits work at our wiki at all?  I don't
> receive any mails; do you?
Never :/
Comment 10 rugyada 2012-09-11 17:26:53 MSD
(In reply to comment #7)
I totally agree with Julia.

(In reply to comment #9)
> (In reply to comment #8)
> > Btw, does watch-ing pages for edits work at our wiki at all?  I don't
> > receive any mails; do you?
> Never :/

I get email notification for watching pages.
I subscribed only English pages, not Russian version. It works for me.
Comment 11 rugyada 2012-09-11 17:44:02 MSD
(In reply to comment #7)

> 5. Forum -- ok for me. But devs (by their nature) avoid forums, if they can,
> too many *users* there, yuсk! :-P

PS>
In phpBB one may want to create a forum section with write access only for some users (or a specific group of users) leaving read access for everyone.
If this is what you're meaning.
Comment 12 Pavel Shved 2012-09-11 17:51:48 MSD
(In reply to comment #10)
> (In reply to comment #7)
> I totally agree with Julia.
> 
> (In reply to comment #9)
> > (In reply to comment #8)
> > > Btw, does watch-ing pages for edits work at our wiki at all?  I don't
> > > receive any mails; do you?
> > Never :/
> 
> I get email notification for watching pages.
> I subscribed only English pages, not Russian version. It works for me.

Could you please forward an e-mail (as attachment, i.e. the complete .eml file) that you received to me?
Comment 13 rugyada 2012-09-11 18:50:42 MSD
(In reply to comment #12)
> Could you please forward an e-mail (as attachment, i.e. the complete .eml
> file) that you received to me?

I sent you an email.
Comment 14 Pavel Shved 2012-09-13 14:12:32 MSD
Okay, we seem to have resolved the "issues" with wiki email suibscription.  There were none, actually.  The changes that were made by you do not get mailed to you, and other changes do.  We did check.

So to talk at wiki, and get notifications about it, you should just "Watch" the page, and chat at its Page:Talk.

So let's do something like...

http://wiki.rosalab.ru/en/index.php/Wiki_Squad

?
Comment 15 Postnikov Dmitry 2012-09-14 16:17:48 MSD
It's all good. But before doing anything, to do all the pages in the same design and "tethering" strinitsy to categories / (at least) another page just to find. I specifically created a page with templates for a long time: http://wiki.rosalab.ru/ru/index.php/%D0%A8%D0%B0%D0%B1%D0%BB%D0%BE%D0%BD%D1%8B 
For some reason it is not used. Just a lot of articles in English, but some would like to see translated into Russian. 
Need to somehow get used to do all the same design. And we need to do something to get used to the Russian version of Russian words and category pages, not all "in the mess."
Example: http://wiki.rosalab.ru/ru/index.php/%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F:Packaging_Policies
http://wiki.rosalab.ru/ru/index.php/%D0%9A%D0%B0%D1%82%D0%B5%D0%B3%D0%BE%D1%80%D0%B8%D1%8F:Packaging_Guidelines
end etc.
Comment 16 Denis Silakov 2012-10-18 16:04:24 MSD
Mmm, returning to the subject of the bug - is mailing list still needed? I can ask admins to setup smth like 'wiki-writers@lists.rosalab.ru'.
Comment 17 JDronova 2012-10-19 00:43:55 MSD
rugyada 
Since Pavel is no more working with us (he moved to the US :) ), we have to proceed the discussion without him.
Comment 18 Postnikov Dmitry 2012-10-19 00:45:44 MSD
And you forgot me? :)
Comment 19 rugyada 2012-10-19 10:54:28 MSD
I was trying to start discussing about some topics in Wiki_Squad talk page, but without that success, it seems :)
Comment 20 Denis Silakov 2013-02-02 15:47:27 MSK
Ok, I'm closing this one as wontfix for now. Wiki squad doesn't seem to work, but there are no requests for a separate mailing list.

If you still want to have a mailing lists for wiki writers, just ping me - we'll create one.